mtext_push_property(3m17n)

NAME
mtext_push_property - Push a text property onto an M-text.

SYNOPSIS
int mtext_push_property (MText * mt, int from, int to, MTextProperty * prop)

DESCRIPTION
Push a text property onto an M-text.

The mtext_push_property() function pushes text property prop to the characters between from (inclusive) and to (exclusive) in M-text mt.

RETURN VALUE

    If the operation was successful, mtext_push_property() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.